| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.VectorXu16 Class Reference

A dynamically sized arithmetic vector. More...

Inheritance diagram for IOLink.VectorXu16:

## Public Member Functions
| VectorXu16 (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| VectorXu16 (params ushort[] values)
override bool | Equals (object obj)
| VectorXu16 ()
| Creates an empty vector.
| VectorXu16 (uint size)
| Creates an unitialized vector.
| VectorXu16 (VectorXu16 other)
uint | Size ()
| Returns the size of the vector, which also correspond to vector number of dimension.
ushort | At (uint index)
| Access vector's value at given index.
void | SetAt (uint index, ushort value)
| Set value as given index.
double | SquaredLength ()
| Returns the vector's norm, squared.
double | Length ()
| Returns the vector's norm.
void | Normalize ()
| Normalize the vector.
string | ToString ()
ushort | Dot (VectorXu16 v)
| Dot product.
VectorXu16 | Cross (VectorXu16 v)
| Cross product of two vectors.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (VectorXu16 obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (VectorXu16 obj)
static bool | operator== (VectorXu16 v1, VectorXu16 v2)
static bool | operator!= (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | operator+ (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | operator- (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | operator* (VectorXu16 v, ushort value)
static VectorXu16 | operator* (ushort value, VectorXu16 v)
static VectorXu16 | operator/ (VectorXu16 v, ushort value)
static VectorXu16 | operator* (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | operator/ (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | CreateUniform (uint size, ushort value)
| Creates a vector filled with one value.
static bool | InternalNotEqual (VectorXu16 v1, VectorXu16 v2)
static VectorXu16 | InternalDivides (VectorXu16 v, ushort value)
static VectorXu16 | InternalDivides (VectorXu16 v1, VectorXu16 v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
ushort | this[uint index]`[get, set]`

## Detailed Description

A dynamically sized arithmetic vector.

## Constructor & Destructor Documentation

## ◆ VectorXu16()

IOLink.VectorXu16.VectorXu16 | ( | uint | size | ) |
| inline

Creates an unitialized vector.

Parameters

  size | The size of the vector.

## Member Function Documentation

## ◆ CreateUniform()

static VectorXu16 IOLink.VectorXu16.CreateUniform | ( | uint | size,
|  | ushort | value
| ) |  |
| inline static

Creates a vector filled with one value.

Parameters

  size | The size of the vector.
  value | The value used to fill the vector.

## ◆ Cross()

VectorXu16 IOLink.VectorXu16.Cross | ( | VectorXu16 | v | ) |
| inline

Cross product of two vectors.

Work only for vectors of size 3.

## ◆ Length()

double IOLink.VectorXu16.Length | ( |  | ) |
| inline

Returns the vector's norm.

Specifically, it is the L1 norm that's computed here.

## ◆ SquaredLength()

double IOLink.VectorXu16.SquaredLength | ( |  | ) |
| inline

Returns the vector's norm, squared.

Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/net/generated/VectorXu16.cs